#ifndef COMMON_H
#define COMMON_H

#define current_func __FUNCTION__

namespace common {

template<typename T>
class Singleton {
public:
    static T& GetInstance() {
        static T instance;
        return instance;
    }
protected:
    virtual ~Singleton() {}
    Singleton() {}
    Singleton(const Singleton&) {}
    Singleton& operator =(const Singleton&) {}
};

} // namespace common

#endif
