#ifndef APPCGROUP_H
#define APPCGROUP_H

#include <QObject>
#include "processmanager_interface.h"

class AppCGroup : public QObject
{
    Q_OBJECT
public:
    explicit AppCGroup(QObject *parent = nullptr);

    QString createProcessCGroup(const QString &appId, const QList<int> &pids);
    bool deleteProcessCGroup(const QString &cgroupName);
    bool setProcessCGroupResourceLimit(const QString &cgroupName,
                                       const QString &attrName,
                                       int value);
    bool reclaimProcesses(const QList<int> &pids);
    bool reclaimProcesses(const QString &cgroupName);
    
    QString cgroupNameWithPid(int pid);

private:

private:
    com::kylin::ProcessManager *m_processManagerInterface;
    const char *kDbusResult = "result";
    const char *kDbusErrMsg = "errorMessage";
};

#endif // APPCGROUP_H
