#include "kylinvirtualkeyboardinterface.h"

#include <QDebug>
#include <QDBusReply>
#include <QDBusMessage>

KylinVirtualKeyboard::KylinVirtualKeyboard()
{
    kylinVirtualKeyboardInterface = new QDBusInterface("org.fcitx.virtualkeyboard.service",
                                                       "/virtualkeyboard",
                                                       "org.fcitx.virtualkeyboard.service",
                                                       QDBusConnection::sessionBus());
    if (!kylinVirtualKeyboardInterface->isValid()) {
        qWarning()<<"kylinVirtualKeyboardInterface is Valid...";
    }

}

KylinVirtualKeyboard::~KylinVirtualKeyboard()
{
    if (!kylinVirtualKeyboardInterface)
        delete kylinVirtualKeyboardInterface;

}

void KylinVirtualKeyboard::toShowVirtualKeyboard()
{
    if (!kylinVirtualKeyboardInterface->isValid())
        return;
    QDBusMessage msg = kylinVirtualKeyboardInterface->call("ShowVirtualKeyboard");
    if (msg.type() == QDBusMessage::MessageType::ErrorMessage) {
        qWarning()<<"toShowVirtualKeyboard is error...";
    }
}

void KylinVirtualKeyboard::toHideVirtualKeyboard()
{
    if (!kylinVirtualKeyboardInterface->isValid())
        return;
    QDBusMessage msg = kylinVirtualKeyboardInterface->call("HideVirtualKeyboard");
    if (msg.type() == QDBusMessage::MessageType::ErrorMessage) {
        qWarning()<<"hideVirtualKeyboard is error...";
    }
}


